package com.njcn.pojo.configuration;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 报告模板策略
 */
@Table(name = "PQS_RPTPLOY")
public class RptPloy implements Serializable{
	@Id
	@Column(name = "RP_INDEX")
	private String rpIndex;
	
	@Column(name = "RP_NAME")
	private String rpName;
	
	@Column(name = "RP_DESCRIBE")
	private String rpDescribe;
	
	@Column(name = "STATE")
	private Integer state;
	
	@Column(name = "USER_INDEX")
	private String userIndex;
	
	@Column(name = "UPDATETIME")
	private Date updateTime;
	
	@Column(name = "SYSTYPE")
	private String sysType;
	
	@Column(name = "PLOYTYPE")
	private Integer ployType;

	@Transient
	private List<RptData>  rptDatas;

	public List<RptData> getRptDatas() {
		return rptDatas;
	}

	public void setRptDatas(List<RptData> rptDatas) {
		this.rptDatas = rptDatas;
	}

	public String getRpIndex() {
		return rpIndex;
	}

	public void setRpIndex(String rpIndex) {
		this.rpIndex = rpIndex;
	}

	public String getRpName() {
		return rpName;
	}

	public void setRpName(String rpName) {
		this.rpName = rpName;
	}

    public String getRpDescribe() {
        return rpDescribe;
    }

    public void setRpDescribe(String rpDescribe) {
        this.rpDescribe = rpDescribe;
    }

    public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public String getUserIndex() {
		return userIndex;
	}

	public void setUserIndex(String userIndex) {
		this.userIndex = userIndex;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getSysType() {
		return sysType;
	}

	public void setSysType(String sysType) {
		this.sysType = sysType;
	}

	public Integer getPloyType() {
		return ployType;
	}

	public void setPloyType(Integer ployType) {
		this.ployType = ployType;
	}

    @Override
    public String toString() {
        return "RptPloy{" +
            "rpIndex='" + rpIndex + '\'' +
            ", rpName='" + rpName + '\'' +
            ", rpDescribe='" + rpDescribe + '\'' +
            ", state=" + state +
            ", userIndex='" + userIndex + '\'' +
            ", updateTime=" + updateTime +
            ", sysType='" + sysType + '\'' +
            ", ployType=" + ployType +
            ", rptDatas=" + rptDatas +
            '}';
    }
}